package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaAccountLog;
import com.yunzhi.nanyang.mapper.TaAccountLogMapper;
import com.yunzhi.nanyang.service.ITaAccountLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.nanyang.vo.AccountRecord;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 流水表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaAccountLogServiceImpl extends BaseServiceImpl<TaAccountLogMapper, TaAccountLog> implements ITaAccountLogService {

    @Override
    public IPage<AccountRecord> getPageBy(IPage<AccountRecord> pg) {
        return baseMapper.getPageBy(pg);
    }
}
