package com.yunzhi.nanyang.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaDispatch;
import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.mapper.TaDispatchMapper;
import com.yunzhi.nanyang.service.ITaDispatchService;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 调度表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaDispatchServiceImpl extends BaseServiceImpl<TaDispatchMapper, TaDispatch> implements ITaDispatchService {

    @Override
    public IPage<TaOrder> getPageBy(IPage<TaOrder> pg, String orgId, String typeId, String machineryId, LocalDateTime start, LocalDateTime end, String phone, String status, Boolean isWarn) {
        return baseMapper.getPageBy(pg, orgId, typeId, machineryId, start, end, phone, status, isWarn);
    }
}
